//-----------------------------------------------------------------------------
// Title      : bsp_ub007_mk3_lcd
//-----------------------------------------------------------------------------
// Funktion   : LCD Test
// Schaltung  : myAVR MK3
//-----------------------------------------------------------------------------
// Prozessor  : ATMega2560
// Takt       : 16 MHz
// Sprache    : C
// Date       : 06.02.2010
// Version    : 1.0
// Autor      : UB
//-----------------------------------------------------------------------------
#define F_CPU 16000000
#include <avr/io.h>
#include <ub_mk3_2560/MK3_2560_LCD.h>

//-----------------------------------------------------------------------------
// Hinweis : Quick-Jumper Port-C+A muss gesetzt sein
// - zeichnet verschiedene sachen auf das Display
//-----------------------------------------------------------------------------
int main (void)
{
	unsigned int n;
	char led_wert=0;
	char x,y;

	MK3_INIT_LCD();					// init des LCD
	
	MK3_LCD_CLEAR();				// LCD loeschen
	MK3_LCD_LIGHT(true);			// beleuchtung einschalten
	
	// zeichnet eine Reihe mit 0x55
	MK3_LCD_SETCURSOR(0,0);
	for(n=0;n<=LCD_MAXX;n++) {
		 MK3_LCD_PRINT_BYTE(0x55);
	}
		
	// zeichnet eine Reihe mit 0 bis 127
	MK3_LCD_SETCURSOR(0,16);
	for(n=0;n<=LCD_MAXX;n++) {
		 MK3_LCD_PRINT_BYTE(n);
	}

	// zeichnet eine schraege Linie (schwarz)
	y=0;
	for(x=10;x<50;x++)
	{
		MK3_LCD_PIXEL_AT(x,y,MODE_SET);
		y++;
	}
	
	// zeichnet eine schraege Linie (weiss)
	y=0;
	for(x=40;x<80;x++)
	{
		MK3_LCD_PIXEL_AT(x,y,MODE_RESET);
		y++;
	}
	
	// zeichnet eine schraege Linie (invers)
	y=0;
	for(x=70;x<110;x++)
	{
		MK3_LCD_PIXEL_AT(x,y,MODE_TOGGLE);
		y++;
	}

	while (true)
	{


	}
	return 0;
}
//-----------------------------------------------------------------------------
